---
title: NavigatorID.appVersion
slug: Web/API/NavigatorID/appVersion
tags:
  - API
  - Deprecated
  - NavigatorID
  - Property
  - Reference
  - Référence(2)
  - appVersion
---
<p>{{APIRef("HTML DOM")}}</p>

<p>Returns either "<code>4.0</code>" or a string representing version information about the browser.</p>

<div class="note"><strong>Note:</strong> Do not rely on this property to return the correct browser version.</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">window.navigator.appVersion
</pre>

<h3 id="Returned_value">Value</h3>

<p>Either "<code>4.0</code>" or a string representing version information about the browser.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js">alert('Your browser version is reported as ' + navigator.appVersion);
</pre>

<h2 id="Notes">Notes</h2>

<p>The <code>window.navigator.userAgent</code> property may also contain the version number (for example "<code>Mozilla/5.0 (Windows; U; Win98; en-US; rv:0.9.2) Gecko/20010725 Netscape 6/6.1</code>"), but you should be aware of how easy it is to change the user agent string and "spoof" other browsers, platforms, or user agents, and also how cavalier the browser vendor themselves are with these properties.</p>

<p>The <code>window.navigator.appVersion</code>, <code>window.navigator.appName</code> and <code>window.navigator.userAgent</code> properties have been used in "browser sniffing" code: scripts that attempt to find out what kind of browser you are using and adjust pages accordingly. This lead to the current situation, where browsers had to return fake values from these properties in order not to be locked out of some websites.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#dom-navigator-appversion', 'NavigatorID.appVersion')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.NavigatorID.appVersion")}}</p>
